curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "1-5",
"version_number": 123,
"is_deployed": true,
"created_at": 123,
"sample_rate": 123,
"target": {
"target_type": "prompt",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"roles": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"signup_source": "<string>",
"profile_picture": null,
"profile_color": null
},
"position": 123,
"is_enabled": true,
"generate_insights": true,
"criteria_description": "<string>",
"eval_code": "<string>",
"language": "python"
}Retrieve a code evaluation criteria and its latest version, including eval code.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "1-5",
"version_number": 123,
"is_deployed": true,
"created_at": 123,
"sample_rate": 123,
"target": {
"target_type": "prompt",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"roles": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"signup_source": "<string>",
"profile_picture": null,
"profile_color": null
},
"position": 123,
"is_enabled": true,
"generate_insights": true,
"criteria_description": "<string>",
"eval_code": "<string>",
"language": "python"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
CodeEvalCriteriaVersionInfo(info: server.evaluations.evaluations.EvaluationCriteriaVersionInfo)
1-5, 1-3, 1-100, yes-no, multi-select, text, auto-categorization, code-bool, code-float Show child attributes
Show child attributes
python, typescript